<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: scripts.php
| Version: 1.00
| Author: PHP-Fusion Mods UK
| Developer: Craig 
| Site: http://www.phpfusionmods.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------+
|
+--------------------------------------------------------+
| jQuery Nivo Slider v3.2
| http://nivo.dev7studios.com
|
| Copyright 2012, Dev7studios
| Free to use and abuse under the MIT license.
| http://www.opensource.org/licenses/mit-license.php
+--------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

$nivo_slider_infused_check = dbquery("SELECT * FROM ".DB_INFUSIONS. " WHERE inf_folder='nivo_slider_panel'");

if (dbrows($nivo_slider_infused_check) > 0) {

include INFUSIONS."nivo_slider_panel/infusion_db.php";

 $nivo_slider_settings = dbarray(dbquery("SELECT * FROM ".DB_NIVO_SLIDER_SETTINGS));
add_to_head("<link rel='stylesheet' href='".INFUSIONS."nivo_slider_panel/includes/css/nivo-slider.css' type='text/css' media='screen' />

");
if($nivo_slider_settings['slider_theme']=="0") {
add_to_head("<link rel='stylesheet' href='".INFUSIONS."nivo_slider_panel/includes/themes/default/default.css' type='text/css' media='screen' />");
}elseif($nivo_slider_settings['slider_theme']=="1") {
add_to_head("<link rel='stylesheet' href='".INFUSIONS."nivo_slider_panel/includes/themes/light/light.css' type='text/css' media='screen' />");
}elseif($nivo_slider_settings['slider_theme']=="2") {
add_to_head("<link rel='stylesheet' href='".INFUSIONS."nivo_slider_panel/includes/themes/dark/dark.css' type='text/css' media='screen' />");
}
add_to_head("<script src='".INFUSIONS."nivo_slider_panel/includes/js/jquery.nivo.slider.pack.js' type='text/javascript'></script>");


add_to_footer("<script type='text/javascript'>
$(window).load(function() {
    $('#slider').nivoSlider({
        effect: '".($nivo_slider_settings['slider_effects']=="0" ? "".stripinput('random')."" : "").($nivo_slider_settings['slider_effects']=="1" ? "".stripinput('sliceDown')."" : "").($nivo_slider_settings['slider_effects']=="2" ? "".stripinput('sliceDownLeft')."" : "").($nivo_slider_settings['slider_effects']=="3" ? "".stripinput('sliceUp')."" : "").($nivo_slider_settings['slider_effects']=="4" ? "".stripinput('sliceUpLeft')."" : "").($nivo_slider_settings['slider_effects']=="5" ? "".stripinput('sliceUpDown')."" : "").($nivo_slider_settings['slider_effects']=="6" ? "".stripinput('sliceUpDownLeft')."" : "")
		.($nivo_slider_settings['slider_effects']=="7" ? "".stripinput('fold')."" : "").($nivo_slider_settings['slider_effects']=="8" ? "".stripinput('fade')."" : "").($nivo_slider_settings['slider_effects']=="9" ? "".stripinput('slideInRight')."" : "").($nivo_slider_settings['slider_effects']=="10" ? "".stripinput('slideInLeft')."" : "").($nivo_slider_settings['slider_effects']=="11" ? "".stripinput('boxRandom')."" : "").($nivo_slider_settings['slider_effects']=="12" ? "".stripinput('boxRain')."" : "").($nivo_slider_settings['slider_effects']=="13" ? "".stripinput('boxRainReverse')."" : "").
		($nivo_slider_settings['slider_effects']=="14" ? "".stripinput('boxRainGrow')."" : "").($nivo_slider_settings['slider_effects']=="15" ? "".stripinput('boxRainGrowReverse')."" : "")."', // Specify sets like: 'fold,fade,sliceDown'
        slices: 15, // For slice animations
        boxCols: 8, // For box animations
        boxRows: 4, // For box animations
        animSpeed: 500, // Slide transition speed
        pauseTime: ".($nivo_slider_settings['slider_pausetime']=="0" ? "".stripinput('5000')."" : "").($nivo_slider_settings['slider_pausetime']=="1" ? "".stripinput('10000')."" : "").($nivo_slider_settings['slider_pausetime']=="2" ? "".stripinput('15000')."" : "").($nivo_slider_settings['slider_pausetime']=="3" ? "".stripinput('20000')."" : "").($nivo_slider_settings['slider_pausetime']=="4" ? "".stripinput('25000')."" : "").($nivo_slider_settings['slider_pausetime']=="5" ? "".stripinput('30000')."" : "").", // How long each slide will show 5000 = 5 secs 10000 =10 15000 = 15 20000 = 20 Seconds
   
        directionNav: true, // Next & Prev navigation
        controlNav: true, // 1,2,3... navigation
       
        prevText: '".$locale['nivo_024']."', // Prev directionNav text
        nextText: '".$locale['nivo_025']."', // Next directionNav text
        randomStart: false, // Start on a random slide
        beforeChange: function(){}, // Triggers before a slide transition
        afterChange: function(){}, // Triggers after a slide transition
        slideshowEnd: function(){}, // Triggers after all slides have been shown
        lastSlide: function(){}, // Triggers when last slide is shown
        afterLoad: function(){} // Triggers when slider has loaded
    });
});
</script>");
}
?>