<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: nivo_slider.php
| Version: 1.00
| Author: PHP-Fusion Mods UK
| Developer: Craig
| Site: http://www.phpfusionmods.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------+
|
+--------------------------------------------------------+
| jQuery Nivo Slider v3.2
| http://nivo.dev7studios.com
|
| Copyright 2012, Dev7studios
| Free to use and abuse under the MIT license.
| http://www.opensource.org/licenses/mit-license.php
+--------------------------------------------------------*/

require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."nivo_slider_panel/infusion_db.php";

if (!checkrights("NIV") || !defined("iAUTH") || $_GET['aid'] != iAUTH) {  redirect("../../index.php"); }

if (file_exists(INFUSIONS."nivo_slider_panel/locale/".$settings['locale'].".php")) {
		include INFUSIONS."nivo_slider_panel/locale/".$settings['locale'].".php";
			} else {
		include INFUSIONS."nivo_slider_panel/locale/English.php";
}


 add_to_head("<style type='text/css'>
.slider-fieldset {
margin-left:auto;
margin-right:auto;
margin-top: 10px;
text-align: left;
border: 1px solid #ccc;
width: 90%;
padding: 5px 4px;
border-radius:5px;
-moz-border-radius:5px;
-webkit-border-radius:5px;
-moz-box-shadow:0 1px 0 rgba(255, 255, 255, 0.20);
-webkit-box-shadow:0 1px 0 rgba(255, 255, 255, 0.20);
}

.slider-legend {
color: #333;
font-size: 12px;
font-weight:700;
padding: 4px 2px 2px 4px;
margin-right: 0.7em;

}

.admin-slide {
border: 15px solid #222;
border-radius:5px;
-moz-border-radius:5px;
-webkit-border-radius:5px;
-moz-box-shadow:0 1px 0 rgba(255, 255, 255, 0.20);
-webkit-box-shadow:0 1px 0 rgba(255, 255, 255, 0.20);
opacity:0.8;
filter:alpha(opacity=80); /* For IE8 and earlier */
}

.admin-slide:hover {
 border: 15px solid #333;
 background-color:  #FFFACE;
 opacity:1.0;
filter:alpha(opacity=100); /* For IE8 and earlier */
}
</style>");



if (isset($_GET['statusb']) && !isset($message)) {

if ($_GET['statusb'] == "sn") {
	$messageb = $locale['nivo_001'];
	} elseif ($_GET['statusb'] == "su") {
	$messageb = $locale['nivo_002'];
	}if ($messageb) {
	$messageb = "<div class='admin-message'>".$messageb."</div>";
	if ($_GET['statusb'] == "sn" || $_GET['statusb'] == "su") {
	echo "<div id='close-message'>".$messageb."</div>\n";
	}
	}
}


$slider_id = (isset($_GET['slider_id']) AND isnum($_GET['slider_id'])) ? $_GET['slider_id'] : "";

if (isset($_GET['status']) && !isset($message)) {
	$bdata = dbarray(dbquery("SELECT * FROM ".DB_NIVO_SLIDER." WHERE slider_id = '".$slider_id."'"));
	if ($_GET['status'] == "sn") {
	$message = $locale['nivo_003'];
	} elseif ($_GET['status'] == "su") {
	$message = $locale['nivo_004'];
	} elseif ($_GET['status'] == "rem") {
	$message = $locale['nivo_005'];
	} elseif ($_GET['status'] == "edit") {
	$message = "Zaktualizowano";
	} elseif ($_GET['status'] == "url") {
	$message = $locale['nivo_026'];
	}
	if ($message) {
	$message = "<div class='admin-message'>".$message."</div>";
	if ($_GET['status'] == "sn" || $_GET['status'] == "su"  || $_GET['status'] =="url") {
	echo "<div id='close-message'>".$message."</div>\n";
	} else {
	echo "<div id='close-message'>".$message."</div>\n";
	}
	}
	}

if (isset($_POST['save_settings'])) {

	$panel_cap = (isset($_POST['panel_cap']) && isnum($_POST['panel_cap'])) ? $_POST['panel_cap'] : "0";
	$slider_effects = (isset($_POST['slider_effects']) && isnum($_POST['slider_effects'])) ? $_POST['slider_effects'] : "0";
	$slider_pausetime = (isset($_POST['slider_pausetime']) && isnum($_POST['slider_pausetime'])) ? $_POST['slider_pausetime'] : "0";
	$slider_theme = (isset($_POST['slider_theme']) && isnum($_POST['slider_theme'])) ? $_POST['slider_theme'] : "0";

	$result = dbquery("UPDATE ".DB_NIVO_SLIDER_SETTINGS." SET  panel_cap='".$panel_cap."', slider_effects='".$slider_effects."', slider_pausetime='".$slider_pausetime."', slider_theme='".$slider_theme."'");
	redirect(FUSION_SELF.$aidlink."&amp;statusb=sn");
}


	$nivo_slider_settings = dbarray(dbquery("SELECT * FROM ".DB_NIVO_SLIDER_SETTINGS));
	$panel_cap = (isset($nivo_slider_settings['panel_cap']) && isnum($nivo_slider_settings['panel_cap'])) ? $nivo_slider_settings['panel_cap'] : "0";
	$slider_effects = (isset($nivo_slider_settings['slider_effects']) && isnum($nivo_slider_settings['slider_effects'])) ? $nivo_slider_settings['slider_effects'] : "0";
	$slider_pausetime = (isset($nivo_slider_settings['slider_pausetime']) && isnum($nivo_slider_settings['slider_pausetime'])) ? $nivo_slider_settings['slider_pausetime'] : "0";
	$slider_theme = (isset($nivo_slider_settings['slider_theme']) && isnum($nivo_slider_settings['slider_theme'])) ? $nivo_slider_settings['slider_theme'] : "0";
	$action = FUSION_SELF.$aidlink;


	opentable($locale['inf_title']);
	echo "<form name='inputform' method='post' action='".$action."'>\n";
	echo "<fieldset class='slider-fieldset'>\n";
	echo "<legend class='slider-legend'>".$locale['nivo_028']."</legend>\n";
	echo "<div style='padding: 5px; margin-bottom: 20px; margin-left:auto; margin-right: auto; width:60%'>";
	echo"<div style='float:right; width: 40%;'>".$locale['nivo_006']."</div>";
	echo "<div><strong>".$locale['nivo_007'].":</strong><br /><span class='small'>(widoczny/niewidoczny)</span><br />\n";
	echo "<select name='panel_cap' class='textbox'>\n";
	echo "<option value='0'".($panel_cap == "0" ? " selected='selected'" : "").">".$locale['nivo_008']."</option>\n";
	echo "<option value='1'".($panel_cap == "1" ? " selected='selected'" : "").">".$locale['nivo_009']."</option>\n";
	echo "</select></div>\n";
	echo "<div style='margin-top: 10px;'><strong>".$locale['nivo_010'].":</strong><br />\n";
	echo "<select name='slider_effects' class='textbox'>\n";
	echo "<option value='0'".($slider_effects == "0" ? " selected='selected'" : "").">random</option>\n";
	echo "<option value='1'".($slider_effects == "1" ? " selected='selected'" : "").">sliceDown</option>\n";
	echo "<option value='2'".($slider_effects == "2" ? " selected='selected'" : "").">sliceDownLeft</option>\n";
	echo "<option value='3'".($slider_effects == "3" ? " selected='selected'" : "").">sliceUp</option>\n";
	echo "<option value='4'".($slider_effects == "4" ? " selected='selected'" : "").">sliceUpLeft</option>\n";
	echo "<option value='5'".($slider_effects == "5" ? " selected='selected'" : "").">sliceUpDown</option>\n";
	echo "<option value='6'".($slider_effects == "6" ? " selected='selected'" : "").">sliceUpDownLeft</option>\n";
	echo "<option value='7'".($slider_effects == "7" ? " selected='selected'" : "").">fold</option>\n";
	echo "<option value='8'".($slider_effects == "8" ? " selected='selected'" : "").">fade</option>\n";
	echo "<option value='9'".($slider_effects == "9" ? " selected='selected'" : "").">slideInRight</option>\n";
	echo "<option value='10'".($slider_effects == "10" ? " selected='selected'" : "").">slideInLeft</option>\n";
	echo "<option value='11'".($slider_effects == "11" ? " selected='selected'" : "").">boxRandom</option>\n";
	echo "<option value='12'".($slider_effects == "12" ? " selected='selected'" : "").">boxRain</option>\n";
	echo "<option value='13'".($slider_effects == "13" ? " selected='selected'" : "").">boxRainReverse</option>\n";
	echo "<option value='14'".($slider_effects == "14" ? " selected='selected'" : "").">boxRainGrow</option>\n";
	echo "<option value='15'".($slider_effects == "15" ? " selected='selected'" : "").">boxRainGrowReverse</option>\n";
	echo "</select>";
	echo"</div>\n";
	echo "<div  style='margin-top: 10px;'><strong>".$locale['nivo_011'].":</strong> <br /><span class='small'>(".$locale['nivo_012'] .")</span></strong><br />\n";
	echo "<select name='slider_pausetime' class='textbox'>\n";
	echo "<option value='0'".($slider_pausetime == "0" ? " selected='selected'" : "").">5 ".$locale['nivo_013']."</option>\n";
	echo "<option value='1'".($slider_pausetime == "1" ? " selected='selected'" : "").">10 ".$locale['nivo_013']."</option>\n";
	echo "<option value='2'".($slider_pausetime == "2" ? " selected='selected'" : "").">15 ".$locale['nivo_013']."</option>\n";
	echo "<option value='3'".($slider_pausetime == "3" ? " selected='selected'" : "").">20 ".$locale['nivo_013']."</option>\n";
	echo "<option value='4'".($slider_pausetime == "4" ? " selected='selected'" : "").">25 ".$locale['nivo_013']."</option>\n";
	echo "<option value='5'".($slider_pausetime == "5" ? " selected='selected'" : "").">30 ".$locale['nivo_013']."</option>\n";
	echo "</select>";
	echo"</div>\n";
	echo "<div style='margin-top: 10px;'><strong>".$locale['nivo_014'].":</strong> <br />\n";
	echo "<select name='slider_theme' class='textbox'>\n";
	echo "<option value='0'".($slider_theme == "0" ? " selected='selected'" : "").">Default</option>\n";
	echo "<option value='1'".($slider_theme == "1" ? " selected='selected'" : "").">Jasny</option>\n";
	echo "<option value='2'".($slider_theme == "2" ? " selected='selected'" : "").">Ciemny</option>\n";
	echo "</select>";
	echo"</div>\n";
	echo "<div><input type='submit' name='save_settings' value='".$locale['nivo_015']."' class='button' style='align:center;' />\n";
	echo "</div></div></form>\n";
	echo"</fieldset>";

	if (isset($_GET['action']) && $_GET['action'] == "remove") {
	$result = dbquery("DELETE FROM ".DB_NIVO_SLIDER." WHERE slider_id='".$slider_id."'");
	redirect(FUSION_SELF.$aidlink."&amp;status=rem&amp;slider_id=".$slider_id);
	}

	if (isset($_POST['save_image'])) {
	if($_POST['slider_image'] != "") {

	$slider_image  = stripinput($_POST['slider_image']);
	$slider_url = stripinput($_POST['slider_url']);

if (isset($_GET['action']) && $_GET['action'] == "edit") {
    if (0 === strpos($slider_url, 'http://') || 0 === strpos($slider_url, 'https://')) {
   $result = dbquery("UPDATE ".DB_NIVO_SLIDER." SET slider_image='$slider_image', slider_url='$slider_url' WHERE slider_id='".$slider_id."'");

    redirect(FUSION_SELF.$aidlink."&status=edit&slider=".$slider_id);
	}elseif ($slider_url =="") {
	 $result = dbquery("UPDATE ".DB_NIVO_SLIDER." SET slider_image='$slider_image', slider_url='$slider_url' WHERE slider_id='".$slider_id."'");

	redirect(FUSION_SELF.$aidlink."&amp;status=sn");
	}else{ redirect(FUSION_SELF.$aidlink."&amp;status=url");
	}

    } else {
if (0 === strpos($slider_url, 'http://') || 0 === strpos($slider_url, 'https://')) {
	$result = dbquery("INSERT INTO ".DB_NIVO_SLIDER." (slider_image, slider_url) VALUES ('".$slider_image."', '".$slider_url."')");
	redirect(FUSION_SELF.$aidlink."&amp;status=sn");

	}elseif ($slider_url =="") {
	$result = dbquery("INSERT INTO ".DB_NIVO_SLIDER." (slider_image, slider_url) VALUES ('".$slider_image."', '".$slider_url."')");
	redirect(FUSION_SELF.$aidlink."&amp;status=sn");
	}else{ redirect(FUSION_SELF.$aidlink."&amp;status=url");
	}
   }
}
}

if (isset($_GET['action']) && $_GET['action'] == "edit") {
    $result = dbquery("SELECT * FROM ".DB_NIVO_SLIDER." WHERE slider_id = '".$slider_id."'");
    $data = dbarray($result);
	$slider_image  = stripinput($data['slider_image']);
    $slider_url = stripinput($data['slider_url']);
    $image_list = makefileopts(makefilelist(INFUSIONS."nivo_slider_panel/images/slides/", ".|..|index.php|Thumbs.db"), $slider_image);
	$slider_action = FUSION_SELF.$aidlink."&amp;action=edit&amp;slider_id=".$slider_id;

} else {
	$slider_image  = "";
	$slider_url = "";
	$slider_action = FUSION_SELF.$aidlink;
	$image_list = makefileopts(makefilelist(INFUSIONS."nivo_slider_panel/images/slides/", ".|..|index.php|Thumbs.db"), $slider_image);

}
	echo "<fieldset class='slider-fieldset'>\n";
	echo "<legend class='slider-legend'>".$locale['nivo_029']."</legend>\n";
	echo "<form name='inputform' method='post' action='".$slider_action."'>\n";
	echo "<div style='padding: 5px; margin-left:auto; margin-right: auto; width:60%'>";
	echo "<div><strong>".$locale['nivo_016'].":</strong><br /><select name='slider_image' class='textbox'>".$image_list."</select></div>\n";
	echo"<div style='margin-top:10px;'><strong>".$locale['nivo_027'].":</strong><br /><span class='small'>(".$locale['nivo_030'].")</span><br /><input type='text' name='slider_url' value='".$slider_url."' class='textbox' style='width:200px' />";
	echo "<div style='float:right; padding-right: 80px;'>";
	echo "<input type='submit' name='save_image' value='".$locale['nivo_017']."' class='button' style='align:center;' />\n";
	echo"</div></div></div>";
	echo"</form>\n";
	echo"</fieldset>";
	closetable();


	opentable($locale['nivo_018']);

	$result = dbquery("SELECT * FROM ".DB_NIVO_SLIDER." WHERE slider_image !='' ORDER BY slider_id DESC");
	$rows = dbrows($result);
		if ($rows != 0) {
			$counter = 0; $columns = 2;
				echo "<table cellpadding='0'  cellspacing='0' style='padding: 5px; margin-left:auto; margin-right: auto; width:60%'>\n<tr>\n";
				while ($data = dbarray($result)) {
				if ($counter != 0 && ($counter % $columns == 0)) { echo "</tr>\n<th>&nbsp;</th><tr>\n"; }
				if ($rows == 1) {
				echo "<td style='vertical-align: middle;'  width='10%' class='tbl'>";
				echo"<div class='admin-slide'>".($data['slider_url'] !=="" ? "<a href='".$data['slider_url']."'><img style='width:100%; height: 200px;' src='".INFUSIONS."nivo_slider_panel/images/slides/".$data['slider_image']."' alt='' /></a>" : "<img style='width:100%; height: 200px;' src='".INFUSIONS."nivo_slider_panel/images/slides/".$data['slider_image']."' alt='' />");
				echo"<div style='padding-left: 5px; margin-top: 15px; margin-bottom: 15px;'><a href='".FUSION_SELF.$aidlink."&amp;action=remove&amp;slider_id=".$data['slider_id']."' title='".$locale['nivo_019']."' onclick=\"return confirm('".$locale['nivo_020']."');\" ><img style='border:0px;' src='".INFUSIONS."nivo_slider_panel/images/delete.png' alt='".$locale['nivo_021']."'/></a>  <a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;slider_id=".$data['slider_id']."' title='".$locale['nivo_031']."'><img style='border:0px;' src='".INFUSIONS."nivo_slider_panel/images/edit.png' alt='".$locale['nivo_031']."'/></a><div style='float:right; padding-right: 10px;'>ID: #".$data['slider_id']."</div></div>\n</div>\n";
				echo"</td>\n";
				}else{
				echo "<td style='vertical-align: middle;' width='10%' class='tbl'>";
				echo"<div class='admin-slide'>".($data['slider_url'] !=="" ? "<a href='".$data['slider_url']."'><img style='width:350px; height: 200px;' src='".INFUSIONS."nivo_slider_panel/images/slides/".$data['slider_image']."' alt='' /></a>" : "<img style='width:350px; height: 200px;' src='".INFUSIONS."nivo_slider_panel/images/slides/".$data['slider_image']."' alt='' />");
				echo"<div style='padding-left: 5px; margin-top: 15px; margin-bottom: 15px;'><a href='".FUSION_SELF.$aidlink."&amp;action=remove&amp;slider_id=".$data['slider_id']."' title='".$locale['nivo_019']."' onclick=\"return confirm('".$locale['nivo_020']."');\" ><img style='border:0px;' src='".INFUSIONS."nivo_slider_panel/images/delete.png' alt='".$locale['nivo_021']."'/></a>  <a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;slider_id=".$data['slider_id']."' title='".$locale['nivo_031']."'><img style='border:0px;' src='".INFUSIONS."nivo_slider_panel/images/edit.png' alt='".$locale['nivo_031']."'/></a><div style='float:right; padding-right: 10px;'>ID: #".$data['slider_id']."</div></div>\n</div>\n";
				echo"</td>\n";
				}
				$counter++;
				}
				echo "</tr>\n</table>\n";

		}else{
				echo"<div style='text-align: center; margin-top: 10px;'>".$locale['nivo_022']."</div>\n";
		}

	closetable();


require_once THEMES."templates/footer.php";
?>
