<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Nick Jones (Digitanium)
| Nivo Slider Panel
| Version: 1.00
| Author: PHP-Fusion Mods UK
| Developer: Craig 
| Site: http://www.phpfusionmods.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------+*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."nivo_slider_panel/infusion_db.php";

if (file_exists(INFUSIONS."nivo_slider_panel/locale/".$settings['locale'].".php")) {
    include INFUSIONS."nivo_slider_panel/locale/".$settings['locale'].".php";
} else {
    include INFUSIONS."nivo_slider_panel/locale/English.php";
}

$inf_title = $locale['inf_title'];
$inf_version = "1.00";
$inf_developer = "Craig";
$inf_weburl = "http://www.phpfusionmods.co.uk";
$inf_email = "admin@phpfusionmods.co.uk";
$inf_folder = "nivo_slider_panel";
$inf_description = $locale['inf_desc'];


$inf_newtable[1] = DB_NIVO_SLIDER." (
  slider_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
  slider_image varchar(100) NOT NULL default '',
  slider_url VARCHAR(65) NOT NULL DEFAULT '',
  PRIMARY KEY  (slider_id)
) ENGINE=MyISAM;";


$inf_newtable[2] = DB_NIVO_SLIDER_SETTINGS." (
panel_cap TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
slider_effects TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
slider_pausetime TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
slider_theme TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
PRIMARY KEY (panel_cap)
) ENGINE=MyISAM;";


$inf_insertdbrow[1] = DB_NIVO_SLIDER." (slider_id, slider_image, slider_url)";


$inf_insertdbrow[2] = DB_NIVO_SLIDER_SETTINGS." (panel_cap, slider_effects, slider_pausetime, slider_theme) VALUES ('1', '0', '0', '0')";


$inf_droptable[1] = DB_NIVO_SLIDER;


$inf_droptable[2] = DB_NIVO_SLIDER_SETTINGS;


$inf_adminpanel[1] = array(
    "title" => "Nivo Slider", 
    "image" => "",
    "panel" => "nivo_slider.php", 
    "rights" => "NIV" 
);

?>